<?php

App::uses('EvTeamAppController', 'EvTeam.Controller');

App::uses('ArrayUtil', 'Lib');

class TeamMembersController extends EvTeamAppController {

	protected function _adminFormFields() {
		$Model = $this->{$this->modelClass};
		$alias = $Model->alias;

		$fields = parent::_adminFormFields();

		$fields["$alias.position"]['label'] = 'Job Title';

		return $fields;
	}

	public function beforeFilter() {
		parent::beforeFilter();

		$this->Auth->allow(array(
			'index',
			'view',
			'search',
			'filter',
			'experts'
		));
	}

	protected function _adminPopulateLookups() {
		$Model = $this->{$this->modelClass};
		$alias = $Model->Department->alias;

		$departments = $Model->Department->find('list', array(
			'conditions' => array(
				"$alias.is_active" => 1
			)
		));
		$this->set(compact('departments'));
	}

	public function index() {
		$Model = $this->{$this->modelClass};

		$params = [
			'contains' => [
				'Department'
			],
			'order' => ["$alias.sequence ASC", "$alias.name ASC"]
		];

		$teamMembers = $Model->readForIndex($params);
		$departments = $Model->Department->getDepartments();
		$this->set(compact('teamMembers', $departments));

		$this->assignPage('STAFF', 'page');
		//Preparing plugin for templates.
		if ($Model->hasBehavior('EvTemplates.Template')) {
			$this->view = $this->Tpl->getTemplate($teamMembers);
		}
		if (!$this->view) {
			$this->view = 'EvTeam.TeamMembers/index';
		}
	}

	public function view($id) {
		$Model = $this->{$this->modelClass};

		$data = $Model->readForView($id);

		$this->Meta->set($data);

		//Preparing plugin for templates.
		if ($Model->hasBehavior('EvTemplates.Template')) {
			$this->view = $this->Tpl->getTemplate($data);
		}
		if (!$this->view) {
			$this->view = 'EvTeam.TeamMembers/view';
		}
		$this->set('data', $data);
	}
}
