<?php

App::uses('EvTeamAppModel', 'EvTeam.Model');

/**
 * Business rules for Pages
 */
class Department extends EvTeamAppModel {

	public $displayField = 'title';

	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'team-departments/:displayField',
			'actual' => ':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta'
	);

	public $validate = array(
		'title' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'cannot be blank'
			)
		),
	);

	public $hasAndBelongsToMany = array(
		'EvTeam.TeamMember'
	);

	public function getSelectedDepartment($departmentId) {
		$alias = $this->alias;

		return $this->find('first', array(
			'conditions' => array(
				"$alias.is_active" => 1,
			),
		));
	}
}